#INCLUDE "RTF.H"

cName = " 1111"
nPr = 1
nPc = 2
nPi = 3
nPv = 4
cSprName = "  "
Set Proc To MAKE_RTF.PRG

=SampleRTF(.T., "SAMPLE.RTF")

Func SampleRTF(bWordStart_, cFileName_)
  oFile = CreateObject("CRtfFile", cFileName_,.T.)
  With (oFile) 
    .DefaultInit
    .WriteHeader
    .PageA4
     
   .WriteParagraph("", raLeft, rfsBold, 0, 0, 2, 24)
   .WriteParagraph("", raLeft, rfsBold, 0, 0, 2, 24)

   .WriteParagraph("           30 /.",;
                   raCenter, rfsBold+rfsItalic, 0, 0, 3, 32)
   .WriteParagraph("", raLeft, rfsBold, 0, 0, 2, 24)
   .WriteParagraph("", raLeft, rfsBold, 0, 0, 2, 24)
   .WriteParagraph("   : '   "+;
                   "         "+;
                   " 30       20   .',  , -, 1999 .",;
                   raJustify, rfsDefault, 0, 0, 3, 20)
   .WriteParagraph("   c 09.07.1999 .", raJustify, rfsDefault, 0, 0, 3, 16)
   .WriteParagraph("", raLeft, rfsBold, 0, 0, 2, 24)
   .WriteParagraph("", raLeft, rfsBold, 0, 0, 2, 24)
   .WriteParagraph("", raLeft, rfsBold, 0, 0, 2, 24)
    .BeginParagraph(.Twips(0), .Twips(0), raLeft)
      .SetFont(3,  20, rfsDefault+rfsItalic)
        .WriteTag(" : ")  
      .SetFont(3, 20, rfsDefault + rfsBold)
        .WriteTag(AllTrim(cName))  
    .EndParagraph
    .BeginParagraph(.Twips(0), .Twips(0), raLeft)
      .SetFont(3,  20, rfsDefault+rfsItalic)
        .WriteTag(": ")  
      .SetFont(3,  20, rfsDefault + rfsBold)
        .WriteTag(AllTrim(str(nPr)))      
      .SetFont(3,  20, rfsDefault+rfsItalic)
        .WriteTag("  : ")  
      .SetFont(3,  20, rfsDefault + rfsBold)
        .WriteTag(AllTrim(str(nPc)))      
      .SetFont(3,  20, rfsDefault+rfsItalic)
        .WriteTag("  : ")  
      .SetFont(3,  20, rfsDefault + rfsBold)
        .WriteTag(AllTrim(str(nPi)))      
      .SetFont(3,  20, rfsDefault+rfsItalic)
        .WriteTag("  : ")  
      .SetFont(3,  20, rfsDefault + rfsBold)
        .WriteTag(AllTrim(str(nPv)))      
    .EndParagraph
    .BeginParagraph(.Twips(0), .Twips(0), raLeft)
      .SetFont(3,  20, rfsDefault+rfsItalic)
        .WriteTag(" : ")  
      .SetFont(3,  20, rfsDefault + rfsBold)
        .WriteTag(AllTrim(cSprName))            
    .EndParagraph
   .WriteParagraph("", raLeft, rfsBold, 0, 0, 3, 32)
   .WriteParagraph("", raLeft, rfsBold, 0, 0, 3, 32)

   .WriteParagraph(" :", raLeft, rfsBold, 0, 0, 3, 32)
    .SetAlignment(raCenter)
    .BeginTable                           &&  
    .SetColumnsCount(4)
    .m_arTblWidths(1) = .Twips(1)         &&   (  - )
    .m_arTblWidths(2) = .Twips(7)         &&   (  - )
    .m_arTblWidths(3) = .Twips(4)
    .m_arTblWidths(4) = .Twips(4)

    .SetFont(3, 20, rfsBold)
    .SetupColumns()
    .m_arTblValues(1) = ""    
    .m_arTblValues(2) = " "
    .m_arTblValues(3) = "  [/]"
    .m_arTblValues(4) = "-  [/]"
    For i = 1 To 4
      .m_arTblAlign(i) = raLeft
    Next i
    .WriteRow()                           &&   .m_arTblValues   

    .SetFont(3, 18, rfsDefault)
    .SetupColumns()
    .m_arTblAlign(1) = raRight
    .m_arTblAlign(2) = raLeft
    .m_arTblAlign(3) = raRight
    .m_arTblAlign(4) = raRight  
    .m_arTblValues(1) = "0123"
    .m_arTblValues(2) = " "
    .m_arTblValues(3) = "789.012"
    .m_arTblValues(4) = "123.456"
    .WriteRow()               &&   .m_arTblValues   
    .EndTable
   .WriteParagraph("", raLeft, rfsBold, 0, 0, 2, 24)

   .WriteParagraph(" .", raLeft, rfsBold, 0, 0, 3, 32)
   .WriteSpecParagraph("Mnox' = Bp'*Qr*Kno2'*~b@r~*k = 12345.6789 [/]", raLeft, rfsDefault, 0, 1.5, 2, 18)

    .CloseFile 
    If(bWordStart_) 
      DECLARE Integer GetFocus IN WIN32API
      DECLARE Integer ShellExecute IN SHELL32 INTEGER, STRING, STRING, STRING, STRING, INTEGER
      hWnd = GetFocus()
      If (hWnd != 0)
        result=ShellExecute(hWnd, "open", cFileName_, "", "", 5)
      Else 
        =MessageBox("    .", 48," ")
      EndIf
    EndIf  
  EndWith    
Return
